API DocumentationManufacturer camspec controller

Create a manifest mapping and nesting filename

POST
/api/manufacturer/v1/camspec/manifest-mappings

Saves a work-order and production-step mapping before returning the filename

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
requisitionId*integer
Formatint64
workOrderId*string
Formatuuid
productionStepId*string
Formatuuid
quantity*integer
Formatint32
fileType*string
Value in"ORIGINAL_CAD_FILE""CORE_GEOMETRY""THUMBNAIL""PDF_DESIGN_FILE""WALL_THICKNESS_ANALYSIS""DRAWING""IMAGE""DOCUMENT"
preferProductionFile*boolean

Response Body

Manifest mapping created

*/*
  1. response
manifestId*string
Formatuuid
fileName*string
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/camspec/manifest-mappings' \  -H 'Content-Type: application/json' \  -d '{  "requisitionId": 0,  "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",  "productionStepId": "73856faf-b3e2-4f2c-a6a9-45d0d91ce004",  "quantity": 0,  "fileType": "ORIGINAL_CAD_FILE",  "preferProductionFile": true}'
{  "manifestId": "d9e221c5-ff18-4314-8e4b-8ff5f968a62f",  "fileName": "string"}